Name:           perl-Dancer2-Plugin-Auth-Extensible-Provider-DBIC
Version:        0.624
Release:        1%{?dist}
Summary:        Authenticate via the Dancer2::Plugin::DBIC plugin
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Dancer2-Plugin-Auth-Extensible-Provider-DBIC/
Source0:        http://www.cpan.org/authors/id/A/AB/ABEVERLEY/Dancer2-Plugin-Auth-Extensible-Provider-DBIC-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Carp)
BuildRequires:  perl(Dancer2) >= 0.200000
BuildRequires:  perl(Dancer2::Core::Types)
BuildRequires:  perl(Dancer2::Plugin::Auth::Extensible) >= 0.708
BuildRequires:  perl(Dancer2::Plugin::DBIC) >= 0.0012
BuildRequires:  perl(DateTime)
BuildRequires:  perl(DateTime::Format::SQLite)
BuildRequires:  perl(DBIx::Class::ResultClass::HashRefInflator)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Moo)
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(String::CamelCase)
BuildRequires:  perl(Test::MockObject)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Warn)
Requires:       perl(Carp)
Requires:       perl(Dancer2) >= 0.200000
Requires:       perl(Dancer2::Core::Types)
Requires:       perl(Dancer2::Plugin::Auth::Extensible) >= 0.708
Requires:       perl(Dancer2::Plugin::DBIC) >= 0.0012
Requires:       perl(DateTime)
Requires:       perl(DBIx::Class::ResultClass::HashRefInflator)
Requires:       perl(Moo)
Requires:       perl(namespace::clean)
Requires:       perl(Scalar::Util)
Requires:       perl(String::CamelCase)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:	perl(Dancer2::Plugin::Auth::Extensible::Provider::DBIC)

%description
This class is an authentication provider designed to authenticate users
against a database, using Dancer2::Plugin::DBIC to access a database.

%prep
%setup -q -n Dancer2-Plugin-Auth-Extensible-Provider-DBIC-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes ignore.txt LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Dec 27 2021 Dave Cross <dave@mag-sol.com> 0.624-1
- Specfile autogenerated by cpanspec 1.78.
